
/*
 * DS1307.h
 *
 * Created: 19.07.2018 12:01:04
 *  Author: Dirk
 */ 

#include <avr/io.h>

#ifndef DS1307_H_
#define DS1307_H_

#define DevDS1307 0xD0			// DS1307 fixed addr

typedef struct rtc_time
{
	uint8_t seconds;
	uint8_t minutes;
	uint8_t hours;
} rtc_time_t;


typedef struct rtc_date
{
	uint8_t weekday;   // Tag der Woche (1-7) Sonntag = 1 ... Samstag = 7
	uint8_t day;
	uint8_t month;
	uint16_t year;
} rtc_date_t;

//char* getStrTime (char* time_str);

uint8_t BCD_to_DEC (uint8_t val);
uint8_t DEC_to_BCD(uint8_t val);

//uint32_t rtc_read_epoch (void);
//uint32_t rtc_TimeToEpoch (uint8_t min, uint8_t hrs);
//rtc_time_t rtc_EpochToTime (uint32_t epoch);

char* rtc_getStrWeekday(char* weekday_str, uint8_t weekday);

void rtc_hold (void);

void rtc_start (void);

void rtc_set_time (rtc_time_t time);

void rtc_set_date (rtc_date_t date);

void rtc_read_time (rtc_time_t *time);

void rtc_read_date (rtc_date_t *date);

//uint8_t calc_weekday(uint8_t day, uint8_t month, uint8_t year);

//char* getStrDate (void);


// initialize DS 1307, check running on backup battery was okay?
//*  return 0 if so, otherwise sets up the rtc (main has to set the clock) and return 1, if i2c-comm fails return 2
uint8_t DS1307_init (void);


#endif	//define DS1307_H_