/*
 * pir.h
 *
 */ 


#ifndef PIR_H_
#define PIR_H_

#define PIR_TIMEOUT  30                 // set timeout in minutes
#define PIR_PORT     PORTR              // select port
#define PIR_PIN_bm   PIN1_bm            // and pin connected to HC-SR505
#define PIR_TIMER    TCF1               // used hardware timer, make sure that this timer isn't used anywhere else
#define PIR_OVF_vect TCF1_OVF_vect      // the overflow vector of the timer

// initializes PIR input and timer
// presence_start_condition = true
//   -> lib assumes that there are presence now and timeout starts so pir_presence will return true initally
// presence_start_condition = false
//   -> lib assumes that there are no presence at the init, so PIR sensor must be polled and detect something to make
//      pir_presence return true
void pir_init(bool presence_start_condition);

// returns true if there are presence now or was in the last PIR_TIMEOUT minutes
bool pir_presence(void);

// polls the sensor, must be called at least every second in the main loop 
void pir_poll(void);


#endif /* PIR_H_ */