/*
 * tube_ctrl.h
 *
 * Created: 14.10.2019 07:42:21
 *  Author: steigemann
 */ 


#ifndef TUBE_CTRL_H_
#define TUBE_CTRL_H_

#define TUBE_TIMER    TCF0               // used hardware timer, make sure that this timer isn't used anywhere else
#define TUBE_OVF_vect TCF0_OVF_vect      // the overflow vector of the timer

// define your slot machine type, enable only one type
//#define SM_TYPE_FRONT_BACK_TARGET      // All digits go to back, to front and back to target every minute
//#define SM_TYPE_ROLL_BACK              // only changed digits roll back (maybe jump to front) and go to target, low variation for hours  
#define SM_TYPE_ALL_BACK_TARGET          // All digits go to back, jump to front and go back to target


#define SM_SPEED_MS 100                  // slot machine speed for number changes in ms


// initialize all io pins at startup, clear display
void tube_init(void);

// turns high voltage supply for tubes on or off
void tube_hv(bool enable);

// simple test of all tube digits
void tube_test(void);

// set a digit to a value directly
void show_digit(uint8_t digit, int8_t number);

// shows/updates the time via selected slot machine behavior
void tube_show_time(uint8_t hours, uint8_t minutes);

void tube_toggle_colon(void);

void tube_set_colon(bool enable);

// returns true, if tube ht shows something
bool tube_ht_on(void);

#endif /* TUBE_CTRL_H_ */